﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Compdfkit_Tools.Common
{
    /// <summary>
    /// CPDFThicknessControl.xaml 的交互逻辑
    /// </summary>
    public partial class CPDFThicknessControl : UserControl
    {


        public event EventHandler ThicknessChanged;

        public int Thickness
        {
            get => CPDFThicknessUI.Thickness;
            set => CPDFThicknessUI.Thickness = value;
        }

        public CPDFThicknessControl()
        {
            InitializeComponent();
            CPDFThicknessUI.ThicknessChanged += CPDFThicknessUI_ThicknessChanged;
        }

        private void CPDFThicknessUI_ThicknessChanged(object sender, EventArgs e)
        {
            ThicknessChanged?.Invoke(this, EventArgs.Empty);
        }
    }
}
