﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Compdfkit_Tools.Edit
{
    /// <summary>
    /// CPDFImageFlipUI.xaml 的交互逻辑
    /// </summary>
    public partial class CPDFImageFlipUI : UserControl
    {
        public event EventHandler<bool> FlipChanged;
        public CPDFImageFlipUI()
        {
            InitializeComponent();
        }

        public Orientation Orientation
        {
            get
            {
                return ImageFlipUI.Orientation;
            }
            set
            {
                ImageFlipUI.Orientation = value;
            }
        }

        private void FlipVertical_Click(object sender, RoutedEventArgs e)
        {
            FlipChanged?.Invoke(this, true);
        }

        private void FlipHorizontal_Click(object sender, RoutedEventArgs e)
        {
            FlipChanged?.Invoke(this, false);
        }
    }
}
