﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Compdfkit_Tools.Edit
{
    public partial class CPDFImageRotateUI : UserControl
    {
        public event EventHandler<double> RotationChanged;
        public CPDFImageRotateUI()
        {
            InitializeComponent();
        }

        public Orientation Orientation
        {
            get
            {
                return ImageRotateUI.Orientation;
            }
            set
            {
                ImageRotateUI.Orientation = value;
            }
        }

        private void RotateLeftBtn_Click(object sender, RoutedEventArgs e)
        {
            RotationChanged?.Invoke(this, -90);
        }

        private void RotateRightBtn_Click(object sender, RoutedEventArgs e)
        {
            RotationChanged?.Invoke(this, 90);
        }
    }
}
