﻿using ComPDFKit.PDFDocument;
using Compdfkit_Tools;
using ComPDFKitViewer.PdfViewer;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Compdfkit_Tools.PDFControl
{
    /// <summary>
    /// PDFDocumentInfoControl.xaml 的交互逻辑
    /// </summary>xc
    public partial class CPDFInfoControl : UserControl
    {
        public CPDFViewer pdfViewer;

        public CPDFInfoControl()
        {
            InitializeComponent();

        }

        public void InitWithPDFViewer(CPDFViewer pdfViewer)
        {
            this.pdfViewer = pdfViewer;
            CPDFAbstractInfoControl.InitWithPDFViewer(pdfViewer);
            CPDFCreateInfoControl.InitWithPDFViewer(pdfViewer);
            CPDFSecurityInfoControl.InitWithPDFViewer(pdfViewer);
        }
    }
}
